slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetBasis

Specifies the type of polynomial basis used to describe the polynomial eigenvalue problem.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetBasis(PEP pep,PEPBasis basis)

Logically Collective

### Input Parameters

| pep | - the polynomial eigensolver context
| basis | - the type of polynomial basis

### Options Database Key

| -pep_basis <basis> | - Select the basis type

### Notes

By default, the coefficient matrices passed via PEPSetOperators() are expressed in the monomial basis, i.e. P(lambda) = A_0 + lambda*A_1 + lambda^2*A_2 + ... + lambda^d*A_d. Other polynomial bases may have better numerical behaviour, but the user must then pass the coefficient matrices accordingly.

### See Also

PEPSetOperators(), PEPGetBasis(), PEPBasis

### Level

intermediate

### Location

src/pep/interface/pepopts.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages